Subject: bug#58545: 28.2; Toolbar icons missing until X server is restarted

From: Xuanrui Qi <[email-masked]>
Date: Tue, 18 Oct 2022 19:04:55 +0900

This is extremely weird because I couldn't reproduce it on any other systems I
control either, despite that their configurations are basically identical.

On Tue, 2022-10-18 at 08:39 +0800, Po Lu wrote:
> Xuanrui Qi <[email-masked]> writes:
> 
> > > just the window manager
> > Yes, you are right, I was restarting the window manager. Alternatively,
> > altering
> > any of the theme settings also cause icons to appear properly, probably
> > because
> > all windows are reloaded.
> > 
> > > What about the GTK icon browser?
> > Everything seems to work and in particular there are no missing icons.
> 
> That's odd, but there I really don't know what may be going on, seeing
> as I can't reproduce it here.
> 
> For the time being, you can set x-gtk-stock-map to nil in early-init.el,
> to make Emacs use its own toolbar icons.